[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_dims' (#crwlib)

# TDisInfoService

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_dims.pas line 65

`type TDisInfoService = class(TDisBaseService)`
`protected`
`FOnInfoSend: TOnDisInfoSend;`
`function GetOnInfoSend;`
`procedure SetOnInfoSend();`
`procedure OnStop; override;`
`procedure OnStart; override;`
`procedure OnUpdate; override;`
`public`
`property OnInfoSend: TOnDisInfoSend; [rw]`
`constructor Create();`
`procedure AfterConstruction; override;`
`procedure BeforeDestruction; override;`
`destructor Destroy; override;`
`end;`

## Inheritance

`TDisInfoService`
`TDisBaseService`
`TDimService`
`TMasterObject`
`TObject`